%define url_ver	%(echo %{version}|cut -d. -f1,2)
%global __requires_exclude python-gi

Name:           pyatspi
Version:        2.38.2
Release:        %mkrel 1
Summary:        Python bindings for at-spi
Group:          Development/Python
License:        LGPLv2 and GPLv2
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:	pkgconfig(python3)
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.1
Requires:	python-dbus
Requires:	python-gobject3

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python client library for at-spi.

%package -n python3-%{name}
Summary:	Python 3 bindings for at-spi
Group:		Development/Python
Requires:	python3-dbus
Requires:	python3-gobject3

%description -n python3-%{name}
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python 3 client library for at-spi.

%prep
%setup -q

%build
mkdir python2
pushd python2
export PYTHON=%{__python2}
CONFIGURE_TOP=.. %configure2_5x --build=%{_build}
%make_build
popd

mkdir python3
pushd python3
export PYTHON=%{__python3}
CONFIGURE_TOP=.. %configure2_5x --build=%{_build}
%make_build
popd

%install
%make_install -C python2
%make_install -C python3

%files
%doc COPYING COPYING.GPL AUTHORS README
%{python2_sitelib}/pyatspi

%files -n python3-%{name}
%{python3_sitelib}/pyatspi


%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 2.38.2-1pclos2022
- update and rebuild for python 3.10

* Mon Sep 09 2019 tex - 2.34.0-1pclos2019
- new version 2.34.0
